## com.bbn.openmap.event
Class ProjectionSupport.ProjectionChangedRunnable

    java.lang.Object
      |
      +--com.bbn.openmap.event.ProjectionSupport.ProjectionChangedRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ProjectionSupport

protected class ProjectionSupport.ProjectionChangedRunnable
extends java.lang.Object
implements java.lang.Runnable

A Runnable class that disperses the projection, instead of letting the Swing thread do it. A new one is created for every projection change, so the current ProjectionEvent object is getting delivered with it.

Field Summary
`protected ProjectionEvent` `projEvent`

Constructor Summary
`ProjectionSupport.ProjectionChangedRunnable(ProjectionEvent pe)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projEvent

    protected ProjectionEvent projEvent

Constructor Detail

### ProjectionSupport.ProjectionChangedRunnable

    public ProjectionSupport.ProjectionChangedRunnable(ProjectionEvent pe)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details